import App from './App'
import uView from '@/uni_modules/uview-ui'
import config from '@/config'
Vue.use(uView)

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
Vue.prototype.$baseUrl = config.baseUrl
Vue.prototype.$imagesUrl = config.imagesUrl
Vue.prototype.$appId = config.appId
Vue.prototype.$appSecret = config.appSecret
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
